POST /events
This endpoint can be used to manually save events to Timekit
If your user/resource has a connected google account then we will write the event to google and start a google sync right away.
This means that the event will first be saved to the google account and will be available a few seconds later via the [GET] /events or [GET] /calendars?include=events endpoint
Endpoint
POST https://api.timekit.io/v2/events
Parameters
| Name | In | Type | Required | Default | Description |
|---|---|---|---|---|---|
start |
body | datetime | yes | Start of the event | |
end |
body | datetime | yes | End of the event | |
what |
body | string | yes | What is the event? 'Strategy meeting' or 'Coffee with Peter' | |
where |
body | string | yes | Where is the event taking place? | |
calendar_id |
body | string | yes | Uuid of the calendar to add the event to | |
participants |
body | array_string | A list of emails to invite as participants | ||
invite |
body | boolean | false | Should we notify the participant? | |
description |
body | string | A custom description for the event | ||
my_rsvp |
body | string | Set your own rsvp, allowed values: accepted, needsAction, declined, tentative | ||
sync_provider |
body | boolean | false | This will trigger a sync with the associated provider and return the Event object from the database | |
all_day |
body | boolean | false | if set to true, we will only send date (Y-m-d) to google, so it will be handled as a true all day event |
Request examples
curlcurl -X POST \
-H 'Timekit-App: back-to-the-future' \
-u marty.mcfly@timekit.io:CPDqMLOoT4quO7j71jfcD9VlYpJBDPqI \
-d '{
"start": "1955-11-12T21:30:00-07:00",
"end": "1955-11-12T22:15:00-07:00",
"what": "Catch the lightning",
"where": "Courthouse, Hill Valley, CA 95420, USA",
"calendar_id": "bfa0b9fa-36aa-4ae6-8096-f3b20fbed1d2",
"allDay": false,
"description": "The lightning strikes at 10:04 PM exactly! I need you to be there Doc!."
}'\
https://api.timekit.io/v2/events
Response examples
400
json{ }